### Enumeration

# FwupdPlugin PluginRule

#### Declaration

    enum FwupdPlugin.PluginRule

#### Description [src]

The rules used for ordering plugins. Plugins are expected to add rules in fu_plugin_initialize().

#### Members

`FU_PLUGIN_RULE_CONFLICTS`

  The plugin conflicts with another.

  - Value: `0`
  - Available since: 1.0
`FU_PLUGIN_RULE_RUN_AFTER`

  Order the plugin after another.

  - Value: `1`
  - Available since: 1.0
`FU_PLUGIN_RULE_RUN_BEFORE`

  Order the plugin before another.

  - Value: `2`
  - Available since: 1.0
`FU_PLUGIN_RULE_BETTER_THAN`

  Is better than another plugin.

  - Value: `3`
  - Available since: 1.0
`FU_PLUGIN_RULE_INHIBITS_IDLE`

  The plugin inhibits the idle shutdown.

  - Value: `4`
  - Available since: 1.0
`FU_PLUGIN_RULE_METADATA_SOURCE`

  Uses another plugin as a source of report metadata.

  - Value: `5`
  - Available since: 1.0